Summary:	Electronic Waveform Viewer
Name:		gtkwave
Version:	3.3.121
Release:	1
License:	GPLv2+
Group:		Sciences/Other
Url:		http://gtkwave.sourceforge.net/
Source0:	http://gtkwave.sourceforge.net/%{name}-gtk3-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	bzip2-devel
BuildRequires:	judy-devel
BuildRequires:	lzma-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zlib)

%description
GTKWave is a fully featured GTK+ based wave viewer for Unix and Win32 
which reads LXT, LXT2, VZT, and GHW files as well as standard Verilog 
VCD/EVCD files and allows their viewing. 

%files
%doc *.TXT doc examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_iconsdir}/gnome/*/*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/gtkwave-gtk3/
%{_datadir}/mime/packages/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/*.png
%{_liconsdir}/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-gtk3-%{version}

%build
%configure \
	--enable-gtk3 \
	--enable-judy \
	--disable-mime-update \
	--enable-struct-pack \
	--disable-tcl
%make

%install
%makeinstall_std

# icons
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GTKWave
Comment=Electronic Waveform Viewer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Engineering;
EOF

